--- a/ffc/jitcompiler.py
+++ b/ffc/jitcompiler.py
@@ -28,6 +28,7 @@
 # Python modules
 import os
 import sys
+import sysconfig
 from hashlib import sha1
 
 # FEniCS modules
@@ -172,6 +173,8 @@
         get_ufc_signature(),
         get_ufc_templates_signature(),
         kind,
+        sysconfig.get_config_var("CFLAGS"),
+        sysconfig.get_config_var("SOABI")
         ]
     string = ";".join(signatures)
     signature = sha1(string.encode('utf-8')).hexdigest()
